set pagesize 0
set linesize 150
set serveroutput on
set term off
spool 5_3_Proves_Consultes.log

-- Omplim les taules necessries.
----------------------
-- JUGADORS_PARTITS --
----------------------
insert into jugadors_partits values ('11110003Z',1);
insert into jugadors_partits values ('11110005L',1);
insert into jugadors_partits values ('11110012T',1);
insert into jugadors_partits values ('11110016E',1);
insert into jugadors_partits values ('11110013R',1);
insert into jugadors_partits values ('11110014W',1);
insert into jugadors_partits values ('11110015A',1);
insert into jugadors_partits values ('11110004S',1);
insert into jugadors_partits values ('11110006V',1);
insert into jugadors_partits values ('11110017T',1);
insert into jugadors_partits values ('11110007H',1);
insert into jugadors_partits values ('11110018R',1);
insert into jugadors_partits values ('11110009C',1);
insert into jugadors_partits values ('11110010K',1);
insert into jugadors_partits values ('11110020A',1);
insert into jugadors_partits values ('11110019W',1);
commit;

-------------------
-- ESTADISTIQUES --
-------------------
insert into estadistiques values ('11110020A',1,12,13,2,2,8,4,4,1,2,1,1,0,0,0,0,1,4,10,120);
insert into estadistiques values ('11110019W',1,22,18,6,9,7,6,1,0,3,0,0,0,0,1,1,2,6,8,96);
insert into estadistiques values ('11110018R',1,15,14,6,6,5,4,0,0,0,1,1,0,0,0,1,3,5,9,108);
insert into estadistiques values ('11110017T',1,13,8,0,0,8,4,0,0,6,4,1,0,0,0,0,4,0,8,96);
insert into estadistiques values ('11110016E',1,18,10,4,1,6,3,4,1,2,1,1,0,0,1,1,5,2,10,120);
insert into estadistiques values ('11110015A',1,5,3,2,1,2,1,0,0,4,3,0,0,0,0,0,0,3,5,60);
insert into estadistiques values ('11110014W',1,4,1,2,1,1,0,2,0,4,1,1,0,0,0,0,0,5,4,48);
insert into estadistiques values ('11110013R',1,10,7,0,0,5,2,4,1,1,1,1,0,0,0,0,3,0,6,72);
insert into estadistiques values ('11110012T',1,2,2,2,2,4,0,2,0,0,1,0,0,0,0,1,1,1,6,72);
insert into estadistiques values ('11110010K',1,25,16,4,3,3,2,6,3,1,0,0,0,0,0,1,4,3,8,96);
insert into estadistiques values ('11110009C',1,18,10,2,1,5,3,5,1,1,1,0,0,0,0,1,2,2,8,96);
insert into estadistiques values ('11110007H',1,14,8,2,2,1,0,3,2,0,1,0,0,0,0,0,1,1,6,72);
insert into estadistiques values ('11110006V',1,10,4,4,1,2,0,3,1,1,1,0,0,0,0,1,4,2,5,60);
insert into estadistiques values ('11110005L',1,17,9,2,1,7,4,0,0,0,1,0,0,0,0,0,4,1,7,84);
insert into estadistiques values ('11110004S',1,25,22,6,6,9,5,3,2,2,1,2,0,0,2,2,3,5,9,108); 
insert into estadistiques values ('11110003Z',1,21,18,4,4,5,1,7,4,2,0,1,0,0,1,3,3,8,8,72);
commit;

-- Obtenim un llistat dels jugadors d'una competici amb les seves dades.
exec pkg_consultes.prc_jugadors_competicio(3);
	
-- Obtenim el llistat de tots els equips d'una competici ordenats pel nombre de punts totals a favor en la temporada actual.
exec pkg_consultes.prc_equips_competicio(3);

-- Consultem els 5 millors jugadors per cada posici d'un mbit, gnere i modalitat de competici.
exec pkg_consultes.prc_top5_jugadors('C','M','N');

-- Consultem el nombre de contractes que ha signat cada representant de jugadors donat un any.
exec pkg_consultes.prc_contractes_representant ('2013','66666666Q');
exec pkg_consultes.prc_contractes_representant ('2013','77777777B');
exec pkg_consultes.prc_contractes_representant ('2013','99999999R');
exec pkg_consultes.prc_contractes_representant ('2013','00000000T');

-- Consultem els 10 equips que ms diners han gastat de ms a menys.
exec pkg_consultes.prc_top10_equips_gastat ('2013');

-- Consultem els jugadors sense equip o els que acaben contracte la temporada en curs d'un pais, gnere i modalitat.
exec pkg_consultes.prc_jugadors_lliures ('ES','M','N');

spool off;