set pagesize 0
set linesize 150
set serveroutput on
set term off
spool 5_1_Carrega_Taules.log

-- Taula AMBITS
insert into ambits values ('N','NACIONAL');
insert into ambits values ('C','CONTINENTAL');
commit;

-- Taula CATEGORIES
insert into categories values (1,'PRIMERA');
insert into categories values (2,'SEGONA');
insert into categories values (3,'TERCERA');
commit;

-- Taula ESTATS
insert into estats values ('A','ALTA');
insert into estats values ('B','BAIXA');
commit;

-- Taula GENERES
insert into generes values ('M','MASCULI');
insert into generes values ('F','FEMENI');
commit;

-- Taula IND_ACTIVITAT
insert into ind_activitat values ('A','ACTIU');
insert into ind_activitat values ('R','RETIRAT');
commit;

-- Taula MODALITATS
insert into modalitats values ('N','NORMAL');
insert into modalitats values ('CR','CADIRA DE RODES');
commit;

-- Taula MONEDES
insert into monedes values ('EUR','EURO');
insert into monedes values ('AED','DIRHAM DE LOS EMIRATOS RABES UNIDOS');
insert into monedes values ('AFN','AFGANI ALBANES');
insert into monedes values ('ALL','LEK ALBANES');
insert into monedes values ('AMD','DRAM ARMENIO');
insert into monedes values ('ANG','FLORIN ANTILLANO NEERLANDES');
insert into monedes values ('AOA','KWANZA ANGOLEO');
insert into monedes values ('ARS','PESO ARGENTINO');
insert into monedes values ('AUD','DOLAR AUSTRALIANO');
insert into monedes values ('AWG','FLORIN ARUBEO');
insert into monedes values ('AZM','MANAT AZERBAIYANO');
insert into monedes values ('BAM','MARCO CONVERTIBLE DE BOSNIA-HERZEGOVINA');
insert into monedes values ('BBD','DOLAR DE BARBADOS');
insert into monedes values ('BDT','TAKA DE BANGLADESH');
insert into monedes values ('BGN','LEV BULGARO');
insert into monedes values ('BHD','DINAR BAHREINI');
insert into monedes values ('BIF','FRANCO BURUNDES');
insert into monedes values ('BMD','DOLAR DE BERMUDA');
insert into monedes values ('BND','DOLAR DE BRUNEI');
insert into monedes values ('BOB','BOLIVIANO');
insert into monedes values ('BOV','MVDOL BOLIVIANO (CODIGO DE FONDOS)');
insert into monedes values ('BRL','REAL BRASILEO');
insert into monedes values ('BSD','DOLAR BAHAMEO');
insert into monedes values ('BTN','NGULTRUM DE BUTAN');
insert into monedes values ('BWP','PULA DE BOTSUANA');
insert into monedes values ('BYR','RUBLO BIELORRUSO');
insert into monedes values ('BZD','DOLAR DE BELICE');
insert into monedes values ('CAD','DOLAR CANADIENSE');
insert into monedes values ('CDF','FRANCO CONGOLEO');
insert into monedes values ('CHF','FRANCO SUIZO');
insert into monedes values ('CLF','UNIDADES DE FOMENTO CHILENAS');
insert into monedes values ('CLP','PESO CHILENO');
insert into monedes values ('CNY','YUAN CHINO');
insert into monedes values ('COP','PESO COLOMBIANO');
insert into monedes values ('COU','UNIDAD DE VALOR REAL COLOBIANA');
insert into monedes values ('CRC','COLON COSTARRICENSE');
insert into monedes values ('CSD','DINAR SERBIO');
insert into monedes values ('CUP','PESO CUBANO');
insert into monedes values ('CUC','PESO CUBANO CONVERTIBLE');
insert into monedes values ('CVE','ESCUDO CABOVERDIANO');
insert into monedes values ('CZK','KORUNA CHECA');
insert into monedes values ('DJF','FRANCO YIBUTIANO');
insert into monedes values ('DKK','CORONA DANESA');
insert into monedes values ('DOP','PESO DOMINICANO');
insert into monedes values ('DZD','DINAR ALGERINO');
insert into monedes values ('EGP','LIBRA EGIPCIA');
insert into monedes values ('ERN','NAKFA ERITEO');
insert into monedes values ('ETB','BIRR ETIOPE');
insert into monedes values ('FJD','DOLAR FIYIANO');
insert into monedes values ('FKP','LIBRA MALVINENSE');
insert into monedes values ('GBP','LIBRA ESTERLINA');
insert into monedes values ('GEL','LARI GEORGIANO');
insert into monedes values ('GHS','CEDI GHANES');
insert into monedes values ('GIP','LIBRA DE GIBRALTAR');
insert into monedes values ('GMD','DALASI GAMBIANO');
insert into monedes values ('GNF','FRANCO GUINEANO');
insert into monedes values ('QTQ','QUETZAL GUATEMALTECO');
insert into monedes values ('GYD','DOLAR GUYANES');
insert into monedes values ('HKD','DOLAR DE HONK KONG');
insert into monedes values ('HNL','LEMPIRA HONDUREO');
insert into monedes values ('HRK','KUNA CROATA');
insert into monedes values ('HTG','GOURDE HAITIANO');
insert into monedes values ('HUF','FORINT HUNGARO');
insert into monedes values ('IDR','RUPIAH INDONESIA');
insert into monedes values ('ILS','NUEVO SHEQUEL ISRAELI');
insert into monedes values ('INR','RUPIA INDIA');
insert into monedes values ('IQD','DINAR IRAQUI');
insert into monedes values ('IRR','RIAL IRANI');
insert into monedes values ('ISK','KRONA ISLANDESA');
insert into monedes values ('JMD','DOLAR JAMAICANO');
insert into monedes values ('JOD','DINAR JORDANO');
insert into monedes values ('JPY','YEN JAPONES');
insert into monedes values ('KES','CHELIN KENIATA');
insert into monedes values ('KGS','SOM KIRGUIS');
insert into monedes values ('KHR','RIEL CAMBOYANO');
insert into monedes values ('KMF','FRANCO COMORIANO');
insert into monedes values ('KPW','WON NORCOREANO');
insert into monedes values ('KRW','WON SURCOREANO');
insert into monedes values ('KWD','DINAR KUWATI');
insert into monedes values ('KYD','DOLAR CAIMANO');
insert into monedes values ('KZT','TENGE KAZAJO');
insert into monedes values ('LAK','KIP LAO');
insert into monedes values ('LBP','LIBRA LIBANESA');
insert into monedes values ('LKR','RUPIA DE SRI LANKA');
insert into monedes values ('LRD','DOLAR LIBERIANO');
insert into monedes values ('LSL','LOTI LESOTENSE');
insert into monedes values ('LTL','LITAS LITUANO');
insert into monedes values ('LVL','LAT LETON');
insert into monedes values ('LYD','DINAR LIBIO');
insert into monedes values ('MAD','DIRHAM MARROQUI');
insert into monedes values ('MDL','LEU MOLDAVO');
insert into monedes values ('MGA','ARIARY MALGACHE');
insert into monedes values ('MKD','DENAR MACEDONIO');
insert into monedes values ('MMK','KYAT BIRMANO');
insert into monedes values ('MNT','TUGHRIK MONGOL');
insert into monedes values ('MOP','PATACA DE MACAO');
insert into monedes values ('MRO','OUGUIYA MAURITANA');
insert into monedes values ('MUR','RUPIA MAURICIA');
insert into monedes values ('MVR','RUFIYAA MALDIVA');
insert into monedes values ('MWK','KWACHA MALAUI');
insert into monedes values ('MXN','PESO MEXICANO');
insert into monedes values ('MXV','UNIDAD DE INVERSION (UDI) MEXICANA');
insert into monedes values ('MYR','RINGGIT MALAYO');
insert into monedes values ('MZN','METICAL MOZAMBIQUEO');
insert into monedes values ('NAD','DOLAR NAMIBIO');
insert into monedes values ('NGN','NAIRA NIGERIANA');
insert into monedes values ('NIO','CORDOBA NICARAGUENSE');
insert into monedes values ('NOK','CORONA NORUEGA');
insert into monedes values ('NPR','RUPIA NEPALESA');
insert into monedes values ('NZD','DOLAR NEOZELANDES');
insert into monedes values ('OMR','RIAL OMANI');
insert into monedes values ('PAB','BALBOA PANAMEA');
insert into monedes values ('PEN','NUEVO SOL PERUANO');
insert into monedes values ('PGK','KINA DE PAPUA NUEVA GUINEA');
insert into monedes values ('PHP','PESO FILIPINO');
insert into monedes values ('PKR','RUPIA PAKISTANI');
insert into monedes values ('PLN','ZLOTY POLACO');
insert into monedes values ('PYG','GUARANI PARAGUAYO');
insert into monedes values ('QAR','RIAL QATARI');
insert into monedes values ('RON','LEU RUMANO');
insert into monedes values ('RUB','RUBLO RUSO');
insert into monedes values ('RWF','FRANCO RUANDES');
insert into monedes values ('SAR','RIYAL SAUDI');
insert into monedes values ('SBD','DOLAR DE LAS ISLAS SALOMON');
insert into monedes values ('SCR','RUPIA DE SEYCHELLES');
insert into monedes values ('SDG','DINAR SUDANES');
insert into monedes values ('SEK','CORONA SUECA');
insert into monedes values ('SGD','DOLAR DE SINGAPUR');
insert into monedes values ('SHP','LIBRA DE SANTA HELENA');
insert into monedes values ('SLL','LEONE DE SIERRA LEONA');
insert into monedes values ('SOS','CHELIN SOMALI');
insert into monedes values ('SRD','DOLAR SURIMANES');
insert into monedes values ('STD','DOBRA DE SANTO TOME Y PRINCIPE');
insert into monedes values ('SYP','LIBRA SIRIA');
insert into monedes values ('SZL','LILANGENI SUAZI');
insert into monedes values ('THB','BAHT TAILANDES');
insert into monedes values ('TJS','SOMONI TAYIK');
insert into monedes values ('TMT','MANAT TURCOMANO');
insert into monedes values ('TND','DINAR TUNECINO');
insert into monedes values ('TOP','PA''ANGA TONGANO');
insert into monedes values ('TRY','LIRA TURCA');
insert into monedes values ('TTD','DOLAR DE TRINIDAD Y TOBAGO');
insert into monedes values ('TWD','DOLAR TAIWANES');
insert into monedes values ('TZS','CHELIN TANZANO');
insert into monedes values ('UAH','GRIVNA UCRANIANA');
insert into monedes values ('UGX','CHELIN UGANDES');
insert into monedes values ('USD','DOLAR ESTADOUNIDENSE');
insert into monedes values ('USN','DOLAR ESTADOUNIDENSE SIGUIENTE DIA');
insert into monedes values ('USS','DOLAR ESTADOUNIDENSE MISMO DIA');
insert into monedes values ('UYU','PESO URUGUAYO');
insert into monedes values ('UZS','SOM UZBEKO');
insert into monedes values ('VEF','BOLIVAR FUERTE VENEZOLANO');
insert into monedes values ('VND','DONG VIETNAMITA');
insert into monedes values ('VUV','VATU VANUATENSE');
insert into monedes values ('WST','TALA SAMOANA');
insert into monedes values ('XAF','FRANCO CFA DE AFRICA CENTRAL');
insert into monedes values ('XAG','ONZA DE PLATA');
insert into monedes values ('XAU','ONZA DE ORO');
insert into monedes values ('XBA','EUROPEAN COMPOSITE UNIT (EURCO)');
insert into monedes values ('XBB','EUROPEAN MONETARY UNIT (E.M.U.-6)');
insert into monedes values ('XBC','EUROPEAN OF ACCOUNT 9 (E.U.A.-9)');
insert into monedes values ('XBD','EUROPEAN OF ACCOUNT 17 (E.U.A.-17)');
insert into monedes values ('XCD','DOLAR DEL CARIBE ORIENTAL');
insert into monedes values ('XDR','DERECHOS ESPECIALES DE GIRO (FMI)');
insert into monedes values ('XFO','FRANCO DE ORO');
insert into monedes values ('XFU','FRANCO UIC');
insert into monedes values ('XOF','FRANCO CFA DE AFRICA OCCIDENTAL');
insert into monedes values ('XPD','ONZA DE PALADIO');
insert into monedes values ('XPF','FRANCO CFP');
insert into monedes values ('XPT','ONZA DE PLATINO');
insert into monedes values ('XTS','RESERVADO PARA PRUEBAS');
insert into monedes values ('XXX','SIN DIVISA');
insert into monedes values ('YER','RIAL YEMENI');
insert into monedes values ('ZAR','RAND SUDAFRICANO');
insert into monedes values ('ZMK','KWACHA ZAMBIANO');
insert into monedes values ('ZWL','DOLAR ZIMBABUENSE');
commit;

-- Taula NACIONALITATS
insert into nacionalitats values ('AE','ARAB');
insert into nacionalitats values ('AF','AFGANA');
insert into nacionalitats values ('AR','ARGENTINA');
insert into nacionalitats values ('AU','AUSTRALIANA');
insert into nacionalitats values ('BE','BELGA');
insert into nacionalitats values ('BO','BOLIVIANA');
insert into nacionalitats values ('BR','BRASILERA');
insert into nacionalitats values ('CA','CANADIENSE');
insert into nacionalitats values ('CH','SUISA');
insert into nacionalitats values ('CL','XILENA');
insert into nacionalitats values ('CN','XINESA');
insert into nacionalitats values ('CO','COLOMBIANA');
insert into nacionalitats values ('CR','COSTARRICENSE');
insert into nacionalitats values ('CU','CUBANA');
insert into nacionalitats values ('DE','ALEMANYA');
insert into nacionalitats values ('DK','DANESA');
insert into nacionalitats values ('EC','EQUATORIANA');
insert into nacionalitats values ('EE','ESTONIA');
insert into nacionalitats values ('EG','EGIPCIA');
insert into nacionalitats values ('ES','ESPANYOLA');
insert into nacionalitats values ('ET','ETIOPE');
insert into nacionalitats values ('FI','FINLANDESA');
insert into nacionalitats values ('FR','FRANCESA');
insert into nacionalitats values ('GR','GREGA');
insert into nacionalitats values ('GT','GUATEMALTECA');
insert into nacionalitats values ('HN','HONDURENYA');
insert into nacionalitats values ('HT','HAITIANA');
insert into nacionalitats values ('ID','INDONESA');
insert into nacionalitats values ('IL','ISRAELI');
insert into nacionalitats values ('IQ','IRANI');
insert into nacionalitats values ('IR','IRAQUI');
insert into nacionalitats values ('IT','ITALIANA');
insert into nacionalitats values ('JO','JORDANA');
insert into nacionalitats values ('JP','JAPONESA');
insert into nacionalitats values ('LA','LAOSIANA');
insert into nacionalitats values ('LT','LETONESA');
insert into nacionalitats values ('LV','LETONA');
insert into nacionalitats values ('MA','MARROQUI');
insert into nacionalitats values ('MX','MEXICANA');
insert into nacionalitats values ('MY','MALAYA');
insert into nacionalitats values ('NI','NICARAGENSE');
insert into nacionalitats values ('NO','NORUEGA');
insert into nacionalitats values ('NZ','NEOZELANDESA');
insert into nacionalitats values ('PL','POLACA');
insert into nacionalitats values ('PR','PUERTORRIQUENYA');
insert into nacionalitats values ('PT','PORTUGUESA');
insert into nacionalitats values ('RU','RUSA');
insert into nacionalitats values ('SE','SUECA');
insert into nacionalitats values ('TH','TAILANDIA');
insert into nacionalitats values ('TK','TURCA');
insert into nacionalitats values ('UA','UCRANIANA');
insert into nacionalitats values ('US','ESTATUNIDENSE');
insert into nacionalitats values ('UY','URUGUAYA');
insert into nacionalitats values ('VE','VENESOLANA');
insert into nacionalitats values ('VN','VIETNAMITA');
commit;

-- Taula PAISOS_CONTINENTS
insert into paisos_continents values ('EUR','EUROPA');
insert into paisos_continents values ('AFR','AFRICA');
insert into paisos_continents values ('AME','AMERICA');
insert into paisos_continents values ('ASI','ASIA');
insert into paisos_continents values ('OCE','OCEANIA');

insert into paisos_continents values ('AF','AFGHANISTAN');
insert into paisos_continents values ('AL','ALBANIA');
insert into paisos_continents values ('AS','AMERICAN SAMOA');
insert into paisos_continents values ('AO','ANGOLA');
insert into paisos_continents values ('AQ','ANTARCTICA');
insert into paisos_continents values ('AR','ARGENTINA');
insert into paisos_continents values ('AW','ARUBA');
insert into paisos_continents values ('AT','AUSTRIA');
insert into paisos_continents values ('BS','BAHAMAS');
insert into paisos_continents values ('BD','BANGLADESH');
insert into paisos_continents values ('BY','BELARUS');
insert into paisos_continents values ('BZ','BELIZE');
insert into paisos_continents values ('BM','BERMUDA');
insert into paisos_continents values ('BO','BOLIVIA');
insert into paisos_continents values ('BA','BOSNIA AND HERZEGOVINA');
insert into paisos_continents values ('BV','BOUVET ISLAND');
insert into paisos_continents values ('BG','BULGARIA');
insert into paisos_continents values ('BI','BURUNDI');
insert into paisos_continents values ('CM','CAMEROON');
insert into paisos_continents values ('CV','CAPE VERDE');
insert into paisos_continents values ('CF','CENTRAL AFRICAN REPUBLIC');
insert into paisos_continents values ('CL','CHILE');
insert into paisos_continents values ('CX','CHRISTMAS ISLAND');
insert into paisos_continents values ('CO','COLOMBIA');
insert into paisos_continents values ('CG','CONGO');
insert into paisos_continents values ('CK','COOK ISLANDS');
insert into paisos_continents values ('CI','COTE D''IVOIRE');
insert into paisos_continents values ('CU','CUBA');
insert into paisos_continents values ('CY','CYPRUS');
insert into paisos_continents values ('DK','DENMARK');
insert into paisos_continents values ('DM','DOMINICA');
insert into paisos_continents values ('EC','ECUADOR');
insert into paisos_continents values ('SV','EL SALVADOR');
insert into paisos_continents values ('ER','ERITREA');
insert into paisos_continents values ('ET','ETHIOPIA');
insert into paisos_continents values ('FO','FAROE ISLANDS');
insert into paisos_continents values ('FI','FINLANDIA');
insert into paisos_continents values ('GF','FRENCH SOUTHERN TERRITORIES');
insert into paisos_continents values ('GM','GAMBIA');
insert into paisos_continents values ('DE','GERMANY');
insert into paisos_continents values ('GI','GIBRALTAR');
insert into paisos_continents values ('GL','GREENLAND');
insert into paisos_continents values ('GP','GUADELOUPE');
insert into paisos_continents values ('GT','GUATEMALA');
insert into paisos_continents values ('GN','GUINEA');
insert into paisos_continents values ('GY','GUAYANA');
insert into paisos_continents values ('HM','HEARD ISLAND AND MCDONALD ISLANDS');
insert into paisos_continents values ('HN','HONDURAS');
insert into paisos_continents values ('HU','HUNGARY');
insert into paisos_continents values ('IN','INDIA');
insert into paisos_continents values ('IR','IRAN ISLAMIC REPUBLIC OF');
insert into paisos_continents values ('IE','IRELAND');
insert into paisos_continents values ('IL','ISRAEL');
insert into paisos_continents values ('JM','JAMAICA');
insert into paisos_continents values ('JE','JERSEY');
insert into paisos_continents values ('KZ','KAZAKHSTAN');
insert into paisos_continents values ('KI','KIRIBATI');
insert into paisos_continents values ('KR','KOREA, REPUBLIC OF');
insert into paisos_continents values ('KG','KYRGYZSTAN');
insert into paisos_continents values ('LV','LATVIA');
insert into paisos_continents values ('LS','LESOTHO');
insert into paisos_continents values ('LY','LIBYA');
insert into paisos_continents values ('LT','LITHUANIA');
insert into paisos_continents values ('MO','MACAO');
insert into paisos_continents values ('MG','MADAGASCAR');
insert into paisos_continents values ('MY','MALAYSIA');
insert into paisos_continents values ('ML','MALI');
insert into paisos_continents values ('MH','MARSHALL ISLANDS');
insert into paisos_continents values ('MR','MAURITANIA');
insert into paisos_continents values ('YT','MAYOTTE');
insert into paisos_continents values ('FM','MICRONESIA, FEDERATED STATES OF');
insert into paisos_continents values ('MC','MONACO');
insert into paisos_continents values ('ME','MONTENEGRO');
insert into paisos_continents values ('MA','MOROCCO');
insert into paisos_continents values ('MM','MYANMAR');
insert into paisos_continents values ('NR','NAURU');
insert into paisos_continents values ('NL','NETHERLANDS');
insert into paisos_continents values ('NZ','NEW ZELAND');
insert into paisos_continents values ('NE','NIGER');
insert into paisos_continents values ('NU','NIUE');
insert into paisos_continents values ('MP','NORTHERN MARIANA ISLANDS');
insert into paisos_continents values ('OM','OMAN');
insert into paisos_continents values ('PW','PALAU');
insert into paisos_continents values ('PA','PANAMA');
insert into paisos_continents values ('PY','PARAGUAY');
insert into paisos_continents values ('PH','PHILIPPINES');
insert into paisos_continents values ('PL','POLAND');
insert into paisos_continents values ('PR','PUERTO RICO');
insert into paisos_continents values ('RE','REUNION');
insert into paisos_continents values ('RU','RUSSIAN FEDERATION');
insert into paisos_continents values ('BL','SAINT BARTHELEMY');
insert into paisos_continents values ('KN','SAINT KITTS AND NEVIS');
insert into paisos_continents values ('MF','SAINT MARTIN (FRENCH PART)');
insert into paisos_continents values ('VC','SAINT VINCENT AND THE GRENADINES');
insert into paisos_continents values ('SM','SAN MARINO');
insert into paisos_continents values ('SA','SAUDI ARABIA');
insert into paisos_continents values ('RS','SERBIA');
insert into paisos_continents values ('SL','SIERRA LEONE');
insert into paisos_continents values ('SX','SINT MAARTEN (DUTCH PART)');
insert into paisos_continents values ('SI','SLOVENIA');
insert into paisos_continents values ('SO','SOMALIA');
insert into paisos_continents values ('GS','SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS');
insert into paisos_continents values ('ES','SPAIN');
insert into paisos_continents values ('SD','SUDAN');
insert into paisos_continents values ('SJ','SVALBARB AND JAN MAYEN');
insert into paisos_continents values ('SE','SWEDEN');
insert into paisos_continents values ('SY','SYRIAN ARAB REPUBLIC');
insert into paisos_continents values ('TJ','TAJIKISTAN');
insert into paisos_continents values ('TH','THAILAND');
insert into paisos_continents values ('TO','TOGO');
insert into paisos_continents values ('TN','TUNISIA');
insert into paisos_continents values ('TM','TURKMENISTAN');
insert into paisos_continents values ('TV','TUVALU');
insert into paisos_continents values ('UA','UKRAINE');
insert into paisos_continents values ('GB','UNITED KINGDOM');
insert into paisos_continents values ('UM','UNITED STATES MINOR OUTLYING ISLANDS');
insert into paisos_continents values ('UZ','UZBEKISTAN');
insert into paisos_continents values ('VE','VENEZUELAN, BOLIVARIAN REPUBLIC OF');
insert into paisos_continents values ('VG','VIRGIN ISLANDS, BRITISH');
insert into paisos_continents values ('WF','WALLIS AND FUTUNA');
insert into paisos_continents values ('YE','YEMEN');
insert into paisos_continents values ('ZW','ZIMBABWE');
insert into paisos_continents values ('AX','ALAN ISLANDS');
insert into paisos_continents values ('DZ','ALGERIA');
insert into paisos_continents values ('AD','ANDORRA');
insert into paisos_continents values ('AI','ANGUILLA');
insert into paisos_continents values ('AG','ANTIGUA AND BARBUDA');
insert into paisos_continents values ('AM','ARMENIA');
insert into paisos_continents values ('AU','AUSTRALIA');
insert into paisos_continents values ('AZ','AZERBAIJAN');
insert into paisos_continents values ('BH','BAHRAIN');
insert into paisos_continents values ('BB','BARBADOS');
insert into paisos_continents values ('BE','BELGIUM');
insert into paisos_continents values ('BJ','BENIN');
insert into paisos_continents values ('BT','BHUTAN');
insert into paisos_continents values ('BQ','BONAIRE, SINT EUSTATIUS AND SABA');
insert into paisos_continents values ('BW','BOTSWANA');
insert into paisos_continents values ('BR','BRAZIL');
insert into paisos_continents values ('BN','BRUNEI DARUSSALAM');
insert into paisos_continents values ('BF','BURKINA FASO');
insert into paisos_continents values ('KH','CAMBODIA');
insert into paisos_continents values ('CA','CANADA');
insert into paisos_continents values ('KY','CAYMAN ISLANDS');
insert into paisos_continents values ('TD','CHAD');
insert into paisos_continents values ('CN','CHINA');
insert into paisos_continents values ('CC','COCOS (KEELING) ISLANDS');
insert into paisos_continents values ('KM','COMOROS');
insert into paisos_continents values ('CD','CONGO, THE DEMOCRATIC REPUBLIC OF THE');
insert into paisos_continents values ('CR','COSTA RICA');
insert into paisos_continents values ('HR','CROATIA');
insert into paisos_continents values ('CW','CURAAO');
insert into paisos_continents values ('CZ','CZECH REPUBLIC');
insert into paisos_continents values ('DJ','DJIBOUTI');
insert into paisos_continents values ('DO','DOMINICAN REPUBLIC');
insert into paisos_continents values ('EG','EGYPT');
insert into paisos_continents values ('GQ','EQUATORIAL GUINEA');
insert into paisos_continents values ('EE','ESTONIA');
insert into paisos_continents values ('FK','FALKLAN ISLANDS (MALVINAS)');
insert into paisos_continents values ('FJ','FIJI');
insert into paisos_continents values ('FR','FRANCE');
insert into paisos_continents values ('PF','FRENCH POLYNESIA');
insert into paisos_continents values ('GA','GABON');
insert into paisos_continents values ('GE','GEORGIA');
insert into paisos_continents values ('GH','GHANA');
insert into paisos_continents values ('GR','GREECE');
insert into paisos_continents values ('GD','GRENADA');
insert into paisos_continents values ('GU','GUAM');
insert into paisos_continents values ('GG','GUERNSEY');
insert into paisos_continents values ('GW','GUINEA-BISSAU');
insert into paisos_continents values ('HT','HAITI');
insert into paisos_continents values ('VA','HOLY SEE (VATICAN CITY STATE)');
insert into paisos_continents values ('HK','HONG KONG');
insert into paisos_continents values ('IS','ICELAND');
insert into paisos_continents values ('ID','INDONESIA');
insert into paisos_continents values ('IQ','IRAQ');
insert into paisos_continents values ('IM','ISLE OF MAN');
insert into paisos_continents values ('IT','ITALY');
insert into paisos_continents values ('JP','JAPAN');
insert into paisos_continents values ('JO','JORDAN');
insert into paisos_continents values ('KE','KENYA');
insert into paisos_continents values ('KP','KOREA, DEMOCRATIC PEOPLE''S REPUBLIC OF');
insert into paisos_continents values ('KW','KUWAIT');
insert into paisos_continents values ('LA','LAO PEOPLE''S DEMOCRATIC REPUBLIC');
insert into paisos_continents values ('LB','LEBANON');
insert into paisos_continents values ('LR','LIBERIA');
insert into paisos_continents values ('LI','LIECHTENSTEIN');
insert into paisos_continents values ('LU','LUXEMBOURG');
insert into paisos_continents values ('MK','MACEDONIA, THE FORMER YUGOSLAV REPUBLIC OF');
insert into paisos_continents values ('MW','MALAWI');
insert into paisos_continents values ('MV','MALDIVES');
insert into paisos_continents values ('MT','MALTA');
insert into paisos_continents values ('MQ','MARTINIQUE');
insert into paisos_continents values ('MU','MAURITIUS');
insert into paisos_continents values ('MX','MEXICO');
insert into paisos_continents values ('MD','MOLDOVA, REPUBLIC OF');
insert into paisos_continents values ('MN','MONGOLIA');
insert into paisos_continents values ('MS','MONTSERRAT');
insert into paisos_continents values ('MZ','MOZAMBIQUE');
insert into paisos_continents values ('NA','NAMIBIA');
insert into paisos_continents values ('NP','NEPAL');
insert into paisos_continents values ('NC','NEW CALEDONIA');
insert into paisos_continents values ('NI','NICARAGUA');
insert into paisos_continents values ('NG','NIGERIA');
insert into paisos_continents values ('NF','NORFOLK ISLAND');
insert into paisos_continents values ('NO','NORWAY');
insert into paisos_continents values ('PK','PAKISTAN');
insert into paisos_continents values ('PS','PALESTINIAN TERRITORY, OCCUPIED');
insert into paisos_continents values ('PG','PAPUA NEW GUINEA');
insert into paisos_continents values ('PE','PERU');
insert into paisos_continents values ('PN','PITCAIRN');
insert into paisos_continents values ('PT','PORTUGAL');
insert into paisos_continents values ('QA','QATAR');
insert into paisos_continents values ('RO','ROMANIA');
insert into paisos_continents values ('RW','RWANDA');
insert into paisos_continents values ('SH','SAINT HELENA, ASCENSION AND TRISTAN DA CUNHA');
insert into paisos_continents values ('LC','SAINT LUCIA');
insert into paisos_continents values ('PM','SAINT PIERRE AND MIQUELON');
insert into paisos_continents values ('WS','SAMOA');
insert into paisos_continents values ('ST','SAO TOME AND PRINCIPE');
insert into paisos_continents values ('SN','SENEGAL');
insert into paisos_continents values ('SC','SEYCHELLES');
insert into paisos_continents values ('SG','SINGAPORE');
insert into paisos_continents values ('SK','SLOVAKIA');
insert into paisos_continents values ('SB','SOLOMON ISLANDS');
insert into paisos_continents values ('ZA','SOUTH AFRICA');
insert into paisos_continents values ('SS','SOUTH SUDAN');
insert into paisos_continents values ('LK','SRI LANKA');
insert into paisos_continents values ('SR','SURINAME');
insert into paisos_continents values ('SZ','SWAZILAND');
insert into paisos_continents values ('CH','SWITZERLAND');
insert into paisos_continents values ('TW','TAIWAN, PROVINCE OF CHINA');
insert into paisos_continents values ('TZ','TANZANIA, UNITED REPUBLIC OF');
insert into paisos_continents values ('TL','TIMOR-LESTE');
insert into paisos_continents values ('TK','TOKELAU');
insert into paisos_continents values ('TT','TRINIDAD AND TOBAGO');
insert into paisos_continents values ('TR','TURKEY');
insert into paisos_continents values ('TC','TURKS AND CAICOS ISLANDS');
insert into paisos_continents values ('UG','UGANDA');
insert into paisos_continents values ('AE','UNITED ARAB EMIRATES');
insert into paisos_continents values ('US','UNITED STATES');
insert into paisos_continents values ('UY','URUGUAY');
insert into paisos_continents values ('VU','VANUATU');
insert into paisos_continents values ('VN','VIETNAM');
insert into paisos_continents values ('VI','VIRGIN ISLANDS, U.S.');
insert into paisos_continents values ('EH','WESTERN SAHARA');
insert into paisos_continents values ('ZM','ZAMBIA');
commit;

-- Taula POSICIONS
insert into posicions values (1,'BASE');
insert into posicions values (2,'ESCORTA');
insert into posicions values (3,'ALER');
insert into posicions values (4,'ALER-PIVOT');
insert into posicions values (5,'PIVOT');
commit;

-- Taula REPRESENTANTS_EQUIPS
insert into representants_equips values ('11111111H','ANTONIO SANCHEZ GARCIA');
insert into representants_equips values ('22222222J','BARTOLOME BELTRAN ESTEVEZ');
insert into representants_equips values ('33333333P','MANOLO RODRIGUEZ PLAZA');
insert into representants_equips values ('44444444A','ANDRES PEREZ MATA');
insert into representants_equips values ('55555555K','JOSEP MARIA GUINOVART I PRATS');
commit;

-- Taula REPRESENTANTS_JUGADORS
insert into representants_jugadors values ('66666666Q','PERE MARTI PALAU');
insert into representants_jugadors values ('77777777B','RAFAEL LOMBARTE DIAZ');
insert into representants_jugadors values ('88888888Y','ESTHER PEREZ CARRASCO');
insert into representants_jugadors values ('99999999R','LEONARDO MARTINEZ PARRA');
insert into representants_jugadors values ('00000000T','MIRIAM IBAEZ RODRIGUEZ');
commit;

-- Taula SUB_ESTATS
insert into sub_estats values ('BM','BAIXA MEDICA');
insert into sub_estats values ('MP','MOTIUS PERSONALS');
commit;

-- Taula TIPUS_ARBITRES
insert into tipus_arbitres values (seq_tipus_arbitres.nextval,'PRINCIPAL');
insert into tipus_arbitres values (seq_tipus_arbitres.nextval,'AUXILIAR');
commit;

-- Taula TIPUS_SOCIETATS
insert into tipus_societats values ('SA','SOCIETAT ANONIMA');
insert into tipus_societats values ('SAA','SOCIETAT ANONIMA OBERTA');
insert into tipus_societats values ('SAC','SOCIETAT ANONIMA TANCADA');
insert into tipus_societats values ('SAD','SOCIETAT ANONIMA DEPORTIVA');
insert into tipus_societats values ('SC','SOCIETAT COPERATIVA');
insert into tipus_societats values ('SL','SOCIETAT LIMITADA');
insert into tipus_societats values ('SCA','SOCIETAT COMANDITARIA PER ACCIONS');
insert into tipus_societats values ('SCS','SOCIETAT COMANDITARIA SIMPLE');
insert into tipus_societats values ('UTE','UNIO TRANSITORIA D''EMPRESES');
commit;

-- Taula TIPUS_TECNICS
insert into tipus_tecnics values (seq_tipus_tecnics.nextval,'PRIMER ENTRENADOR');
insert into tipus_tecnics values (seq_tipus_tecnics.nextval,'SEGON ENTRENADOR');
insert into tipus_tecnics values (seq_tipus_tecnics.nextval,'ENTRENADOR DE PORTERS');
insert into tipus_tecnics values (seq_tipus_tecnics.nextval,'MASSATGISTA');
insert into tipus_tecnics values (seq_tipus_tecnics.nextval,'METGE');
insert into tipus_tecnics values (seq_tipus_tecnics.nextval,'INFERMER');
insert into tipus_tecnics values (seq_tipus_tecnics.nextval,'AUXILIAR MEDIC');
commit;

-- Taula ARBITRES
insert into arbitres values ('00000001R','FERMIN MOTGER GIMENEZ',1);
insert into arbitres values ('00000002W','MANUEL BARROSO FERNANDEZ',1);
insert into arbitres values ('00000003A','EZEQUIEL BERMUDEZ TOBAJAS',1);
insert into arbitres values ('00000004G','DAVID GOMEZ GALLEGO',1);
insert into arbitres values ('00000005M','PEP SOLER I DALMAU',1);
insert into arbitres values ('00000006Y','DANIEL GUIRAU TORRES',2);
insert into arbitres values ('00000007F','JAUME VALLVERDU CAMPDERROS',2);
insert into arbitres values ('00000008P','FELIU DUARTE SORIA',2);
insert into arbitres values ('00000009D','JOSEP MARIA MARTI GENER',2);
insert into arbitres values ('00000010X','ALFRED SAURA LAMAS',2);
commit;

-- Taula EQUIPS
insert into equips values ('10000000Z','FUTBOL CLUB BARCELONA REGAL','BARCELONA','ES','CARRER ARISTIDES MALLOL, 12 08028','902189900','http://www.fcbarcelona.es/','C',null,180000);
insert into equips values ('20000000M','REAL MADRID','MADRID','ES','ESTADIO SANTIAGO BERNABEU, PUERTA 55 DEL ESTADIO. ACCESO CALLE PADRE DAMIAN','913984300','http://www.realmadrid.com/','C',null,93267);
insert into equips values ('30000000L','LABORAL KUTXA','VITORIA-GASTEIZ','ES','CARRETERA ZURBANO S/N, FERNANDO BUESA ARENA. TORRE 12 01013','945273400','http://www.baskonia.com','S','SAD',2126);
insert into equips values ('40000000X','VALENCIA BASKET','VALENCIA','ES','AV. HERMANOS MARISTAS, S/N 46013','963957084','http://www.valenciabasket.com','S','SAD',5000);
insert into equips values ('50000000R','UNICAJA','MALAGA','ES','AV. GREGORIO DIEGO, 44 29004','952235708','http://www.unicajabaloncesto.com','S','SAD',7000);
commit;

-- Taula EQUIPS_REPRESENTANTS
insert into equips_representants values ('10000000Z','11111111H');
insert into equips_representants values ('20000000M','22222222J');
insert into equips_representants values ('30000000L','33333333P');
insert into equips_representants values ('40000000X','44444444A');
insert into equips_representants values ('50000000R','55555555K');
commit;

-- Taula TECNICS
insert into tecnics values ('10000001S','ALBERT COMES SALVADOR',1);
insert into tecnics values ('10000002Q','JOAN OLIVER GASULL',2);
insert into tecnics values ('10000003V','PEDRO MANZANARES SANCHEZ',3);
insert into tecnics values ('10000004H','MARIO ESCARTIN HERMOSO',4);
insert into tecnics values ('10000005L','ROBERTO DIAZ SUAREZ',5);
insert into tecnics values ('10000006C','VICTOR MENDEZ RUFET',6);
insert into tecnics values ('10000007K','ANTONIO REVERTE PEREZ',7);

insert into tecnics values ('20000001Y','MAXIMO GOMEZ MARTIN',1);
insert into tecnics values ('20000002F','RODRIGO DIAZ MARTINEZ',2);
insert into tecnics values ('20000003P','VALERIO LOZANO PENA',3);
insert into tecnics values ('20000004D','JAVIER SANTOS MONTERO',4);
insert into tecnics values ('20000005X','SAULO GUERRERO MARIN',5);
insert into tecnics values ('20000006B','OSCAR BLANCO MORALES',6);
insert into tecnics values ('20000007N','SERGIO GIL RAMOS',7);

insert into tecnics values ('30000001C','MIGUEL CORTES SANCHEZ',1);
insert into tecnics values ('30000002K','JUAN DELGADO DIAZ',2);
insert into tecnics values ('30000003E','FRANCISCO LEON PAJARES',3);
insert into tecnics values ('30000004T','FERNANDO SANTIN PEREZ',4);
insert into tecnics values ('30000005R','JOSE MARIA REYES VEGA',5);
insert into tecnics values ('30000006W','JOSE LUIS RUBIO MEDINA',6);
insert into tecnics values ('30000007A','JUAN CASTILLO PEREZ',7);

insert into tecnics values ('40000001B','HELENIO RIBERA MARTINEZ',1);
insert into tecnics values ('40000002N','PEP PARDO RIBAS',2);
insert into tecnics values ('40000003J','TEODORO REY MARTINEZ',3);
insert into tecnics values ('40000004Z','ANTONIO SUAREZ TORRES',4);
insert into tecnics values ('40000005S','JOSE GARCIA PALACIOS',5);
insert into tecnics values ('40000006Q','FERMIN GALDOS ROVIRA',6);
insert into tecnics values ('40000007V','MANUEL IBAEZ SORIA',7);

insert into tecnics values ('50000001W','AMBROSIO NUEZ RODIGUEZ',1);
insert into tecnics values ('50000002A','AMADOR MARTIN MEDINA',2);
insert into tecnics values ('50000003G','MARCELINO CARRASCO PEREZ',3);
insert into tecnics values ('50000004M','ENRIQUE DURAN LOPEZ',4);
insert into tecnics values ('50000005Y','FABIAN SANCHEZ SALAZAR',5);
insert into tecnics values ('50000006F','GASPAR GARCIA SORIA',6);
insert into tecnics values ('50000007P','GUILLERMO PALAMOS MARTI',7);
commit;

-- Taula EQUIPS_TECNICS
insert into equips_tecnics values ('10000000Z','10000001S');
insert into equips_tecnics values ('10000000Z','10000002Q');
insert into equips_tecnics values ('10000000Z','10000003V');
insert into equips_tecnics values ('10000000Z','10000004H');
insert into equips_tecnics values ('10000000Z','10000005L');
insert into equips_tecnics values ('10000000Z','10000006C');
insert into equips_tecnics values ('10000000Z','10000007K');

insert into equips_tecnics values ('20000000M','20000001Y');
insert into equips_tecnics values ('20000000M','20000002F');
insert into equips_tecnics values ('20000000M','20000003P');
insert into equips_tecnics values ('20000000M','20000004D');
insert into equips_tecnics values ('20000000M','20000005X');
insert into equips_tecnics values ('20000000M','20000006B');
insert into equips_tecnics values ('20000000M','20000007N');

insert into equips_tecnics values ('30000000L','30000001C');
insert into equips_tecnics values ('30000000L','30000002K');
insert into equips_tecnics values ('30000000L','30000003E');
insert into equips_tecnics values ('30000000L','30000004T');
insert into equips_tecnics values ('30000000L','30000005R');
insert into equips_tecnics values ('30000000L','30000006W');
insert into equips_tecnics values ('30000000L','30000007A');

insert into equips_tecnics values ('40000000X','40000001B');
insert into equips_tecnics values ('40000000X','40000002N');
insert into equips_tecnics values ('40000000X','40000003J');
insert into equips_tecnics values ('40000000X','40000004Z');
insert into equips_tecnics values ('40000000X','40000005S');
insert into equips_tecnics values ('40000000X','40000006Q');
insert into equips_tecnics values ('40000000X','40000007V');

insert into equips_tecnics values ('50000000R','50000001W');
insert into equips_tecnics values ('50000000R','50000002A');
insert into equips_tecnics values ('50000000R','50000003G');
insert into equips_tecnics values ('50000000R','50000004M');
insert into equips_tecnics values ('50000000R','50000005Y');
insert into equips_tecnics values ('50000000R','50000006F');
insert into equips_tecnics values ('50000000R','50000007P');
commit;

-- Taula COMPETICIONS
insert into competicions values (seq_competicions.nextval,'ACB','N','M','N','ES',3,1,'2012-2013',10);
insert into competicions values (seq_competicions.nextval,'LEB OR','N','M','N','ES',3,2,'2012-2013',9);
insert into competicions values (seq_competicions.nextval,'EUROLEAGUE','C','M','N','EUR',4,1,'2012-2013',12);
insert into competicions values (seq_competicions.nextval,'EUROCUP','C','M','N','EUR',4,2,'2012-2013',11);
insert into competicions values (seq_competicions.nextval,'NBA','N','M','N','US',3,1,'2012-2013',15);
insert into competicions values (seq_competicions.nextval,'JJOO','C','M','N','GB',4,1,'2012',25);
insert into competicions values (seq_competicions.nextval,'MUNDIAL','C','M','N','EUR',4,1,'2010',20);
insert into competicions values (seq_competicions.nextval,'EUROBASKET','C','M','N','EUR',4,1,'2011',18);
insert into competicions values (seq_competicions.nextval,'SUPERCOPA ENDESA','N','M','N','ES',3,1,'2011-2012',8);
insert into competicions values (seq_competicions.nextval,'ACB','N','F','N','ES',3,1,'2012-2013',10);
insert into competicions values (seq_competicions.nextval,'LEB OR','N','F','N','ES',3,2,'2012-2013',9);
insert into competicions values (seq_competicions.nextval,'EUROLEAGUE','C','F','N','EUR',4,1,'2012-2013',12);
insert into competicions values (seq_competicions.nextval,'EUROCUP','C','F','N','EUR',4,2,'2012-2013',11);
insert into competicions values (seq_competicions.nextval,'NBA','N','F','N','US',3,1,'2012-2013',15);
insert into competicions values (seq_competicions.nextval,'JJOO','C','F','N','GB',4,1,'2012',25);
insert into competicions values (seq_competicions.nextval,'MUNDIAL','C','F','N','EUR',4,1,'2010',20);
insert into competicions values (seq_competicions.nextval,'EUROBASKET','C','F','N','EUR',4,1,'2011',18);
insert into competicions values (seq_competicions.nextval,'SUPERCOPA ENDESA','N','F','N','ES',3,1,'2011-2012',8);
insert into competicions values (seq_competicions.nextval,'JJOO','C','M','CR','GB',4,1,'2012',25);
insert into competicions values (seq_competicions.nextval,'MUNDIAL','C','M','CR','EUR',4,1,'2010',20);
insert into competicions values (seq_competicions.nextval,'EUROBASKET','C','M','CR','EUR',4,1,'2011',18);
insert into competicions values (seq_competicions.nextval,'JJOO','C','F','CR','GB',4,1,'2012',25);
insert into competicions values (seq_competicions.nextval,'MUNDIAL','C','F','CR','EUR',4,1,'2010',20);
insert into competicions values (seq_competicions.nextval,'EUROBASKET','C','F','CR','EUR',4,1,'2011',18);
commit;

spool off;
