set pagesize 0
set linesize 150
set serveroutput on
set term off
spool 5_2_Proves_ABM.log

-- Inserim el parmetre LOG_ACTIU i el valor S a la taula CONFIG_SISTEMA per tal de que el log estigui activat al principi.
insert into config_sistema values ('LOG_ACTIU','S');
-- Inserim el parmetre TEST_ACTIU i el valor N a la taula CONFIG_SISTEMA per tal de que el mode TEST estigui desactivat al principi.
insert into config_sistema values ('TEST_ACTIU','N');
commit;

-- Buidem les taules de logs LOG_PROC_EXEC i LOG_PROC_HIST_EXEC
delete from log_proc_hist_exec; 
delete from log_proc_exec; 
commit;

----------------------------
-- ALTES DE JUGADORS NOUS --
----------------------------
exec pkg_jugador.prc_jugador_alta ('11110001N','ES','ES','VICTOR SADA REMISA','M','08/03/1984',1.92,93,1,'66666666Q','http://www.vsremisa.com','http://promo.vsremisa.com');
exec pkg_jugador.prc_jugador_alta ('11110002J','ES','ES','MARCELO HUERTAS','M','25/05/1983',1.90,99,1,'66666666Q','http://www.mhuertas.com','http://promo.mhuertas.com');
exec pkg_jugador.prc_jugador_alta ('11110003Z','LT','ES','SARUNAS JASIKEVICIUS','M','05/03/1976',1.93,90,1,'66666666Q','http://www.sjasikevicius.com','http://promo.sjasikevicius.com');
exec pkg_jugador.prc_jugador_alta ('11110004S','US','ES','PETE MICKEAL','M','22/03/1978',1.99,103,3,'66666666Q','http://www.pmickeal.com','http://promo.pmickeal.com');
exec pkg_jugador.prc_jugador_alta ('11110005L','AU','ES','NATHAN JAWAI','M','17/02/1987',2.08,129,4,'66666666Q','http://www.njawai.com','http://promo.njawai.com');

-- Provem de donar d'alta un jugador que ja existeix, el procediment s'executa per no dna d'alta el jugador i 
-- registra l'error a la taula LOG_PROC_HIST_EXEC. 
exec pkg_jugador.prc_jugador_alta ('11110003Z','LT','ES','SARUNAS JASIKEVICIUS','M','05/03/1976',1.93,90,1,'66666666Q','http://www.sjasikevicius.com','http://promo.sjasikevicius.com');

select '++++++++++++++++' from dual;
select 'MISSATGE:' from dual;
select l.operacio 
  from log_proc_hist_exec l
 where l.operacio like 'ERROR:%'
   and id = (select max(log.id) from log_proc_hist_exec log); 
select '++++++++++++++++' from dual;

-- Continuem donant altes
exec pkg_jugador.prc_jugador_alta ('11110006V','ES','ES','FELIPE REYES','M','16/03/1980',2.04,104,4,'77777777B','http://www.freyes.com','http://promo.freyes.com');
exec pkg_jugador.prc_jugador_alta ('11110007H','ES','ES','SERGIO RODRIGUEZ','M','12/06/1986',1.91,84,1,'77777777B','http://www.srodriguez.com','http://promo.srodriguez.com');
exec pkg_jugador.prc_jugador_alta ('11110008L','ES','ES','RUDY FERNANDEZ','M','04/04/1985',1.96,83,3,'77777777B','http://www.rfernandez.com','http://promo.rfernandez.com');
exec pkg_jugador.prc_jugador_alta ('11110009C','US','ES','MARCUS SLAUGHTER','M','18/03/1985',2.04,104,5,'77777777B','http://www.msalughter.com','http://promo.msalughter.com');
exec pkg_jugador.prc_jugador_alta ('11110010K','EE','ES','JORDI JONQUERA RIUS','M','09/07/1985',2.16,120,5,'77777777B','http://www.mbegic.com','http://promo.mbegic.com');
exec pkg_jugador.prc_jugador_alta ('11110011E','AU','ES','JOSEPH INGLES','M','02/10/1987',2.03,95,3,'99999999R','http://www.jingles.com','http://promo.jingles.com');
exec pkg_jugador.prc_jugador_alta ('11110012T','ES','ES','XAVI RABASEDA','M','24/03/1989',1.96,90,3,'99999999R','http://www.xrabaseda.com','http://promo.xrabaseda.com');
exec pkg_jugador.prc_jugador_alta ('11110013R','US','ES','BRADLEY SCOTT OLESON','M','11/04/1983',1.91,88,2,'99999999R','http://www.bsoleson.com','http://promo.bsoleson.com');
exec pkg_jugador.prc_jugador_alta ('11110014W','EE','ES','ERAZEM LORBEK','M','21/02/1984',2.09,102,5,'99999999R','http://www.elorbek.com','http://promo.elorbek.com');
exec pkg_jugador.prc_jugador_alta ('11110015A','US','ES','CHARLES JUDSON WALLACE','M','31/12/1982',2.06,98,4,'99999999R','http://www.cjwallace.com','http://promo.cjwallace.com');
exec pkg_jugador.prc_jugador_alta ('11110016E','US','ES','JAYCEE CARROLL','M','16/04/1983',1.88,82,2,'77777777B','http://www.jcarrol.com','http://promo.jcarrol.com');
exec pkg_jugador.prc_jugador_alta ('11110017T','US','ES','DONTAYE DRAPER','M','10/08/1984',1.81,81,1,'77777777B','http://www.ddraper.com','http://promo.ddraper.com');
exec pkg_jugador.prc_jugador_alta ('11110018R','LV','ES','NIKOLA MIROTIC','M','11/02/1991',2.08,102,4,'77777777B','http://www.nmirotic.com','http://promo.nmirotic.com');
exec pkg_jugador.prc_jugador_alta ('11110019W','BR','ES','RAFAEL HETTSHEIMEIR','M','21/02/1984',2.08,120,5,'77777777B','http://www.rhettsheimeir.com','http://promo.rhettsheimeir.com');
exec pkg_jugador.prc_jugador_alta ('11110020A','ES','ES','CARLOS SUAREZ','M','23/05/1986',2.03,102,3,'77777777B','http://www.csuarez.com','http://promo.csuarez.com');
exec pkg_jugador.prc_jugador_alta ('11110021A','LV','ES','STEFAN MARKOVIC','M','25/04/1988',1.97,102,1,'00000000T','http://www.smarkovic.com','http://promo.smarkovic.com');
exec pkg_jugador.prc_jugador_alta ('11110022D','ES','ES','PAU RIBAS','M','21/05/1989',1.96,98,2,'00000000T','http://www.pribas.com','http://promo.pribas.com');
exec pkg_jugador.prc_jugador_alta ('11110023E','ES','ES','RODRIGO SAN MIGUEL','M','21/01/1985',1.88,91,1,'00000000T','http://www.rsmiguel.com','http://promo.rsmiguel.com');
exec pkg_jugador.prc_jugador_alta ('11110024F','US','ES','JASON ROBINSON','M','18/03/1988',1.96,98,3,'00000000T','http://www.jrobinson.com','http://promo.jrobinson.com');
exec pkg_jugador.prc_jugador_alta ('11110025G','ES','ES','LARRY ABIA','M','13/05/1987',1.96,102,2,'00000000T','http://www.labia.com','http://promo.labia.com');
exec pkg_jugador.prc_jugador_alta ('11110026H','ES','ES','BOJAN DUBLJEVIC','M','23/05/1988',2.05,107,4,'00000000T','http://www.dubljevic.com','http://promo.dubljevic.com');
exec pkg_jugador.prc_jugador_alta ('11110027I','PL','ES','ADAM HRYCANIUK','M','19/08/1989',2.06,106,5,'00000000T','http://www.ahrycaniuk.com','http://promo.ahrycaniuk.com');
exec pkg_jugador.prc_jugador_alta ('11110028J','ES','ES','RAFA MARTINEZ','M','03/03/1982',1.90,90,2,'00000000T','http://www.rmartinez.com','http://promo.rmartinez.com');


------------------------------
-- BAIXES D'ALGUNS JUGADORS --
------------------------------
exec pkg_jugador.prc_jugador_baixa ('11110001N');
exec pkg_jugador.prc_jugador_baixa ('11110008L');

-- Provem de donar de baixa un jugador que no existeix. El procediment s'executa per no dna de baixa cap jugador i 
-- registra l'error a la taula LOG_PROC_HIST_EXEC.
exec pkg_jugador.prc_jugador_baixa ('00000000Z');

select '++++++++++++++++' from dual;
select 'MISSATGE:' from dual;
select l.operacio 
  from log_proc_hist_exec l
 where l.operacio like 'ERROR:%'
   and id = (select max(log.id) from log_proc_hist_exec log); 
select '++++++++++++++++' from dual;

--------------------------------------------
-- MODIFIQUEM ALGUNES DADES DELS JUGADORS --
--------------------------------------------

-- Modifiquem el representant i la posici del jugador.
exec pkg_jugador.prc_jugador_modifica ('11110002J',null,null,null,null,null,null,null,null,2,'88888888Y',null,null,null,null,null,null);

-- Ara provem de modificar el representant a un jugador per un altre que no existeix a la base de dades. El procediment s'executa, 
-- per no modifica el representant i regitra l'error a la taula LOG_PROC_HIST_EXEC.
exec pkg_jugador.prc_jugador_modifica ('11110003Z',null,null,null,null,null,null,null,null,null,'00000000Z',null,null,null,null,null,null);

select '++++++++++++++++' from dual;
select 'MISSATGE:' from dual;
select l.operacio 
  from log_proc_hist_exec l
 where l.operacio like 'ERROR:%'
   and id = (select max(log.id) from log_proc_hist_exec log); 
select '++++++++++++++++' from dual;

-- Modifiquem la la pgina web personal, el seu estat a B (Baixa) i el subestat a MP (Motius Personals).
exec pkg_jugador.prc_jugador_modifica ('11110006V',null,null,null,null,null,null,null,null,null,null,'http://nova.freyes.com',null,null,'B','MP','31/12/2013');
-- Modifiquem l'indicador d'activitat a R (Retirat).
exec pkg_jugador.prc_jugador_modifica ('11110010K',null,null,null,null,null,null,null,null,null,null,null,null,'R',null,null,null);

-- Provem de modificar les dades d'un jugador que no existeix. El procediment s'executa per no modifica cap jugador i 
-- registra l'error a la taula LOG_PROC_HIST_EXEC.
exec pkg_jugador.prc_jugador_modifica ('00000000Z',null,null,null,null,null,null,null,null,null,null,null,null,'R',null,null,null);

select '++++++++++++++++' from dual;
select 'MISSATGE:' from dual;
select l.operacio 
  from log_proc_hist_exec l
 where l.operacio like 'ERROR:%'
   and id = (select max(log.id) from log_proc_hist_exec log); 
select '++++++++++++++++' from dual;

 
------------------------------------
-- DONEM D'ALTA ALGUNS CONTRACTES --
------------------------------------
exec pkg_contracte.prc_contracte_alta (sysdate,'11110002J','10000000Z','40000000X',730,1000000,250000,'EUR');

-- Ara donem un contracte d'alta sense especificar la seva duraci i el procediment ha posar per defecte 365 dies.
exec pkg_contracte.prc_contracte_alta (sysdate,'11110003Z','10000000Z','40000000X',null,1250000,400000,'EUR');
select '++++++++++++++++' from dual;
select 'MISSATGE:' from dual;
select 'DATA INICI: '||data_inici||chr(10)||chr(13)||
       'DATA FI: '||data_fi||chr(10)||chr(13)||
       'JUGADOR: '||jugador||chr(10)||chr(13)||
       'EQUIP COMPRADOR: '||equip_comprador||chr(10)||chr(13)||
       'EQUIP VENEDOR: '||equip_venedor||chr(10)||chr(13)||
       'DURADA: '||durada contracte
  from contractes 
 where data_inici = trunc(sysdate)
   and jugador = '11110003Z'
   and equip_comprador = '10000000Z'
   and equip_venedor = '40000000X';
select '++++++++++++++++' from dual;

-- Donem d'alta alguns contractes ms
exec pkg_contracte.prc_contracte_alta ('30/06/2013','11110004S','10000000Z','50000000R',null,3600000,800000,'EUR');
exec pkg_contracte.prc_contracte_alta ('15/08/2013','11110005L','10000000Z','20000000M',1460,5000000,1000000,'EUR');
exec pkg_contracte.prc_contracte_alta ('15/09/2013','11110012T','10000000Z','20000000R',730,2000000,200000,'EUR');
exec pkg_contracte.prc_contracte_alta ('31/10/2013','11110013R','10000000Z','40000000X',null,3000000,300000,'EUR');
exec pkg_contracte.prc_contracte_alta ('10/11/2013','11110014W','10000000Z','40000000X',1460,4000000,400000,'EUR');
exec pkg_contracte.prc_contracte_alta ('17/11/2013','11110015A','10000000Z','20000000M',1095,5000000,500000,'EUR');
exec pkg_contracte.prc_contracte_alta (sysdate,'11110006V','20000000M','40000000X',730,800000,100000,'EUR');
exec pkg_contracte.prc_contracte_alta ('31/07/2013','11110007H','20000000M','30000000L',1095,1500000,500000,'EUR');
exec pkg_contracte.prc_contracte_alta ('01/09/2013','11110009C','20000000M','30000000L',730,1800000,900000,'EUR');
exec pkg_contracte.prc_contracte_alta ('10/10/2013','11110010K','20000000M','50000000R',null,2250000,1200000,'EUR');
exec pkg_contracte.prc_contracte_alta ('10/07/2013','11110016E','20000000M','10000000Z',null,100000,10000,'EUR');
exec pkg_contracte.prc_contracte_alta ('23/07/2013','11110017T','20000000M','50000000R',null,200000,20000,'EUR');
exec pkg_contracte.prc_contracte_alta ('31/08/2013','11110018R','20000000M','10000000Z',null,300000,30000,'EUR');
exec pkg_contracte.prc_contracte_alta ('25/10/2013','11110019W','20000000M','30000000L',null,800000,80000,'EUR');
exec pkg_contracte.prc_contracte_alta ('14/10/2013','11110020A','20000000M','50000000R',null,1000000,100000,'EUR');
exec pkg_contracte.prc_contracte_alta ('01/07/2013','11110021A','40000000X','50000000R',730,1000000,100000,'EUR');
exec pkg_contracte.prc_contracte_alta ('01/08/2013','11110022D','40000000X','50000000R',730,2000000,200000,'EUR');
exec pkg_contracte.prc_contracte_alta ('01/08/2013','11110023E','40000000X','10000000Z',730,3000000,300000,'EUR');
exec pkg_contracte.prc_contracte_alta ('15/10/2013','11110024F','40000000X','10000000Z',1460,4000000,400000,'EUR');
exec pkg_contracte.prc_contracte_alta ('20/10/2013','11110025G','40000000X','10000000Z',null,5000000,500000,'EUR');
exec pkg_contracte.prc_contracte_alta ('05/11/2013','11110026H','40000000X','20000000M',null,6000000,600000,'EUR');
exec pkg_contracte.prc_contracte_alta ('16/11/2013','11110027I','40000000X','20000000M',1095,7000000,700000,'EUR');
exec pkg_contracte.prc_contracte_alta ('16/11/2013','11110028J','40000000X','20000000M',1095,8000000,800000,'EUR');

-- Ara provem a donar d'alta un contracte d'un jugador que t un contracte encara vigent de cumplir.
-- El procediment s'executa per no dna d'alta cap contracte i registra l'error a la taula LOG_PROC_HIST_EXEC.
exec pkg_contracte.prc_contracte_alta ('15/09/2013','11110009C','11110002J','20000000M',730,3000000,2000000,'EUR');

select '++++++++++++++++' from dual;
select 'MISSATGE:' from dual;
select l.operacio 
  from log_proc_hist_exec l
 where l.operacio like 'ERROR:%'
   and id = (select max(log.id) from log_proc_hist_exec log); 
select '++++++++++++++++' from dual;

--------------------------------------
-- DONEM DE BAIXA ALGUNS CONTRACTES --
--------------------------------------
exec pkg_contracte.prc_contracte_baixa (trunc(sysdate),'11110002J','10000000Z','40000000X');
exec pkg_contracte.prc_contracte_baixa ('30/06/2013','11110004S','10000000Z','50000000R');

-- Provem de donar de baixa un contracte que no existeix a la BD. EL procediment s'executa per no esborra cap registre i
-- registra l'error a la taula LOG_PROC_HIST_EXEC.
exec pkg_contracte.prc_contracte_baixa ('01/01/2025','11110004S','10000000Z','50000000R');

select '++++++++++++++++' from dual;
select 'MISSATGE:' from dual;
select l.operacio 
  from log_proc_hist_exec l
 where l.operacio like 'ERROR:%'
   and id = (select max(log.id) from log_proc_hist_exec log); 
select '++++++++++++++++' from dual;

----------------------------------
-- MODIFIQUEM ALGUNS CONTRACTES --
----------------------------------
exec pkg_contracte.prc_contracte_modifica (trunc(sysdate),null,'11110003Z','10000000Z','40000000X',730,2500000,0,'EUR');
exec pkg_contracte.prc_contracte_modifica ('15/08/2013',null,'11110005L','10000000Z','20000000M',null,1000000,0,'EUR');
exec pkg_contracte.prc_contracte_modifica (trunc(sysdate),null,'11110006V','20000000M','40000000X',1460,1600000,0,'EUR');
exec pkg_contracte.prc_contracte_modifica ('31/07/2013','30/10/2013','11110007H','20000000M','30000000L',730,900000,0,'EUR');
exec pkg_contracte.prc_contracte_modifica ('10/10/2013','15/12/2013','11110010K','20000000M','50000000R',null,4500000,0,'EUR');

-- Provem de modificar un contracte que no existeix a la BD. EL procediment s'executa per no modifica cap registre i
-- registra l'error a la taula LOG_PROC_HIST_EXEC.
exec pkg_contracte.prc_contracte_modifica ('01/01/2020',null,'11110004S','10000000Z','50000000R',null,3600000,800000,'EUR');

select '++++++++++++++++' from dual;
select 'MISSATGE:' from dual;
select l.operacio 
  from log_proc_hist_exec l
 where l.operacio like 'ERROR:%'
   and id = (select max(log.id) from log_proc_hist_exec log); 
select '++++++++++++++++' from dual;

----------------------------------
-- FINALITZEM ALGUNS CONTRACTES --
----------------------------------
exec pkg_contracte.prc_contracte_finalitza (trunc(sysdate),trunc(sysdate)+120,'11110003Z','10000000Z','40000000X');
exec pkg_contracte.prc_contracte_finalitza ('15/08/2013','15/12/2013','11110005L','10000000Z','20000000M');
exec pkg_contracte.prc_contracte_finalitza (trunc(sysdate),'30/06/2013','11110006V','20000000M','40000000X');
exec pkg_contracte.prc_contracte_finalitza ('31/07/2013','31/05/2013','11110007H','20000000M','30000000L');
exec pkg_contracte.prc_contracte_finalitza ('10/10/2013','15/11/2013','11110010K','20000000M','50000000R');

-- Provem de finalitzar un contracte que no existeix a la BD. EL procediment s'executa per no finalitza cap contracte i
-- registra l'error a la taula LOG_PROC_HIST_EXEC.
exec pkg_contracte.prc_contracte_finalitza ('01/01/2020','31/12/2020','11110004S','10000000Z','50000000R');

select '++++++++++++++++' from dual;
select 'MISSATGE:' from dual;
select l.operacio 
  from log_proc_hist_exec l
 where l.operacio like 'ERROR:%'
   and id = (select max(log.id) from log_proc_hist_exec log); 
select '++++++++++++++++' from dual;
 
---------------------------------
-- DONEM D'ALTA ALGUNS PARTITS --
---------------------------------
exec pkg_partit.prc_partit_alta ('8/03/2012','PARIS','10000000Z','20000000M',3);
exec pkg_partit.prc_partit_alta ('22/03/2012','PARIS','20000000M','10000000Z',3);
exec pkg_partit.prc_partit_alta ('07/03/2012','PARIS','40000000X','20000000M',3);
exec pkg_partit.prc_partit_alta ('21/03/2012','PRIS','20000000M','40000000X',3);
exec pkg_partit.prc_partit_alta ('12/04/2012','BARCELONA','10000000Z','40000000X',3);
exec pkg_partit.prc_partit_alta ('26/04/2012','VALENCIA','40000000X','10000000Z',3);
exec pkg_partit.prc_partit_alta ('31/07/2013','BARCELONA','10000000Z','20000000M',1);
exec pkg_partit.prc_partit_alta ('13/08/2013','MADRID','20000000M','10000000Z',1);
exec pkg_partit.prc_partit_alta ('13/05/2013','VALENCIA','40000000X','20000000M',1);
exec pkg_partit.prc_partit_alta ('27/05/2013','MADRID','20000000M','40000000X',1);
exec pkg_partit.prc_partit_alta ('14/04/2013','BARCELONA','10000000Z','40000000X',1);
exec pkg_partit.prc_partit_alta ('28/04/2013','VALENCIA','40000000X','10000000Z',1);
exec pkg_partit.prc_partit_alta ('10/03/2013','LONDRES','10000000Z','20000000M',4);
exec pkg_partit.prc_partit_alta ('13/03/2013','LONDRES','20000000M','10000000Z',4);
exec pkg_partit.prc_partit_alta ('15/03/2013','LONDRES','40000000X','20000000M',4);
exec pkg_partit.prc_partit_alta ('18/03/2013','LONDRES','20000000M','40000000X',4);
exec pkg_partit.prc_partit_alta ('14/04/2013','BARCELONA','10000000Z','40000000X',4);
exec pkg_partit.prc_partit_alta ('26/04/2013','VALENCIA','40000000X','10000000Z',4);

-----------------------------------
-- DONEM DE BAIXA ALGUNS PARTITS --
-----------------------------------
exec pkg_partit.prc_partit_baixa (15);
exec pkg_partit.prc_partit_baixa (16);

-- Provem a donar de baixa un partit que no existeix. EL procediment s'executa per no esborra cap registre. 
-- Registra l'error a la taula LOG_EXEC_HIST_PROC.
exec pkg_partit.prc_partit_baixa (155);

select '++++++++++++++++' from dual;
select 'MISSATGE:' from dual;
select l.operacio 
  from log_proc_hist_exec l
 where l.operacio like 'ERROR:%'
   and id = (select max(log.id) from log_proc_hist_exec log); 
select '++++++++++++++++' from dual;

-------------------------------
-- MODIFIQUEM ALGUNS PARTITS --
-------------------------------
exec pkg_partit.prc_partit_modifica (5,'07/05/2013','VALENCIA','40000000X','20000000M',153);
exec pkg_partit.prc_partit_modifica (6,'21/05/2013','VALENCIA','40000000X','20000000M',153);

-- Provem de modificar un partit que no existeix. EL procediment s'executa per no modifica cap registre. 
-- Registra l'error a la taula LOG_EXEC_HIST_PROC.
exec pkg_partit.prc_partit_modifica (60,'21/05/2013','VALENCIA','40000000X','20000000M',153);

select '++++++++++++++++' from dual;
select 'MISSATGE:' from dual;
select l.operacio 
  from log_proc_hist_exec l
 where l.operacio like 'ERROR:%'
   and id = (select max(log.id) from log_proc_hist_exec log); 
select '++++++++++++++++' from dual;

spool off;
